<?php
$title->SetTitle('Маркет - Параметры товара');
$title->GetHeader();
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/market"style="text-decoration:none; color:white;"> Маркет</a> :: Параметры товара</div></div></div>';
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id)) {
header ('location: /');
exit;
}
$query = DB::$dbs->query("SELECT * FROM `magazin_file` WHERE `id`= ?", [$id]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit();
}
$file = $query->fetch();
if ($file['user_id'] != $b['id']) {
header ('location: /');
exit();
}
switch($act) {
default:
echo '<div class="list-group-item media"><i class="zmdi zmdi-shuffle"></i> <b>Основное</b> :: <a href="archive/'.$id.'">Замена архива</a> :: <a href="per/'.$id.'">Перенос файла</a></div>';
$checked = ($file['prava'] == 1) ? ' checked="checked"' : '';
if (isset($_POST['ok'])) {
$name = htmlspecialchars(trim($_POST['name']));
$opis = htmlspecialchars(trim($_POST['opis']));
$price = abs(intval($_POST['price']));
$kopii = abs(intval($_POST['kopii']));
$prava = abs(intval($_POST['prava']));
if (empty($name) OR empty($opis)) {
$err = 'Не заполнено поле "Название" и "Описание"!';
} elseif (!is_numeric($price)) {
$err = 'В поле "Цена" должны быть цифры!!!';
} elseif (!is_numeric($kopii)) {
$err = 'В поле "Копии" должны быть цифры!!!';
} elseif ($price<50 or $price>8000) {
$err = 'Цена должна быть не менее 50 рублей и не более 8 000 рублей!';
} elseif ($kopii<0) {
$err = 'Не верное число копий!';
}
if (empty($err)) {
DB::$dbs->query("UPDATE magazin_file SET name = ?, opis = ?, price = ?, kopii = ?, prava = ? WHERE id = ? LIMIT 1", [$name,$opis,$price,$kopii,$prava,$id]);
header('location:/market/file/'.$id);
exit;
} else {
echo '<div class="alert alert-danger"role="alert">'.$err.'<br/></div>';
}
}
echo '<div class="list-group-item media"><form action="/market/refile/'.$id.'" method="post">Название:<br/><input type="text" class="form-control" name="name" value="'.$file['name'].'"><br/>Описание:<br/><textarea class="form-control" rows="3" name="opis">'.$file['opis'].'</textarea><br/>Цена (50-8 000 р.):<br/><input type="text" class="form-control" name="price" value="'.$file['price'].'"><br/>Копии (0 - неограниченно):<br/><input type="text" class="form-control" name="kopii" value="'.$file['kopii'].'"><br/> <input type="checkbox" name="prava" value="1"'.$checked.'/> С правами на перепродажу<br/><input type="submit" name="ok" class="btn btn-primary" value="Сохранить"/></form></div>';
break;
case 'archive':
echo '<div class="list-group-item media"><a href="/market/refile/'.$id.'"> <i class="zmdi zmdi-shuffle"></i> Основное</a> :: <b>Замена архива</b> :: <a href="/market/refile/per/'.$id.'">Перенос файла</a></div>';
if (isset($_POST['ok'])) {
$FileName = $_FILES['file']['name'];
$FileSize = $_FILES['file']['size'];
$GetExt = ['.rar','.zip'];
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
if (empty($FileName)) $err .= 'Не выбран файл!';
if(!preg_match('#([a-z0-9-_]{1,32})#i', $FileName)) $err .= 'Не правильное имя файла!';
if ($FileSize > 1024 * 60 * 1024) $err .= 'Размер файла более 60 Мб!';
if(preg_match('/(\.php|\.pl|\.htaccess)/i', $FileName) || !in_array($ext, $GetExt)) $err .= 'Запрещенный формат файла!';
$filename = homeurl.'_'.mt_rand(10000, 99999).$ext;
if (!empty($err)){
echo '<div class="alert alert-danger"role="alert">'.$err.'<br/></div>';
} else {
unlink(ROOT.'files/mag_file/'.$file['file']);
copy($_FILES['file']['tmp_name'], ROOT.'files/mag_file/'.$filename);
DB::$dbs->query("UPDATE magazin_file SET file = ? WHERE id = ? LIMIT 1",[$filename,$id]);
header('location: /market/file/'.$id);
}
}
echo '<div class="list-group-item media"><form action="/market/refile/archive/'.$id.'" method="post" enctype="multipart/form-data">Файл:<br/><input name="file" class="form-control" type="file"/><br/><input type="submit" name="ok" class="btn btn-primary" value="Заменить"/></form></div>';
break;
case 'per':
echo '<div class="list-group-item media"><a href="/market/refile/'.$id.'"> <i class="zmdi zmdi-shuffle"></i> Основное</a> :: <a href="/market/refile/archive/'.$id.'">Замена архива</a> :: <b>Перенос файла</b></div>';

if (isset($_POST['ok'])) {
$nr = abs(intval($_POST['razd']));
if(empty($nr)){
echo '<div class="alert alert-danger"role="alert">Вы не выбрали новый раздел..</div>';
} elseif (DB::$dbs->query("SELECT count(id) FROM magazin_pr WHERE id = ?",[$nr])==0) {
echo '<div class="alert alert-danger"role="alert">Данный подраздел не существует!</div>';
} else {
$nrp = DB::$dbs->queryFetch("SELECT id_r,name FROM magazin_pr WHERE id = ? LIMIT 1", [$nr]);
$nrp2 = DB::$dbs->queryFetch("SELECT name FROM magazin_pr WHERE id = ? LIMIT 1",[$file['id_pr']]);
DB::$dbs->query("UPDATE magazin_file SET id_r = ?, id_pr = ? WHERE id = ? LIMIT 1",[$nrp['id_r'],$nr,$id]);
header('location:/market/file/'.$id);
}
}
echo '<div class="list-group-item media">';
echo '<form action="/market/refile/per/'.$id.'" method="post"><select class="form-control" size="1" name="razd">';
$razds = DB::$dbs->query("SELECT * FROM magazin_pr ORDER BY name DESC");
while($pr = $razds->fetch()) {
$r = DB::$dbs->queryFetch("SELECT * FROM magazin_r WHERE id = ? LIMIT 1",[$pr['id_r']]);
echo '<option value="'.$pr['id'].'">'.$pr['name'].' ('.$r['name'].')</option><br />';
}
echo'</select><br/><input type="submit" name="ok" class="btn btn-primary" value="Перенести"> </form>';
echo '</div>';
break;
}
?>